      ****************************************
      * Program name: input.cbl
      * This program demonstrates the use of
      * the ACCEPT DATA FROM WEBPAGE command.
      *
      * Copyright 2000 Deskware, Inc.
      ****************************************                                                             
       1 content_length        PIC 9(05).
      *
       1 field1                PIC X(20).
       1 field2                PIC X(100).
       1 field3                PIC X(20).
       1 field4                PIC X(20).
       1 field5                PIC X(20).
       1 field6                PIC X(20).
       1 field7                PIC X(20).
       1 field8                PIC X(20).
       1 field9                PIC X(20).
       1 field10               PIC X(20).
       1 field11               PIC X(20).
       MAIN.
           GETENV USING `CONTENT_LENGTH` content_length.
           IF content_length IS GREATER THAN 0 THEN
              ACCEPT DATA FROM WEBPAGE
              PERFORM DISPLAY_CGI_DATA
           ELSE
              PERFORM DISPLAY_WEB_PAGE
           END-IF.
           GOBACK.
       DISPLAY_WEB_PAGE.
           DISPLAYLF `Content-type: text/html`.
           DISPLAYLF LINEFEED.
           DISPLAYLF `<HTML><BODY>`.
           DISPLAYLF `<CENTER><B>CobolScript Data Input Example Application</B></CENTER><HR>`.
           DISPLAYLF `<FORM ACTION="/cgi-bin/cobolscript.exe?input.cbl" METHOD="POST">`.
           DISPLAYLF `<B>field1:</B> `.
           DISPLAYLF `<INPUT TYPE="TEXT" NAME="field1"><BR><BR>`.
           DISPLAYLF `<B>field2: </B>`.
           DISPLAYLF `<TEXTAREA NAME="field2" COLS=20 ROWS=2>`.
           DISPLAYLF `</TEXTAREA><BR><BR>`.
           DISPLAYLF `<B>field3:</B> `.
           DISPLAYLF `<SELECT NAME="field3" SIZE=3>`.
           DISPLAYLF `<OPTION SELECTED>Item1`.
           DISPLAYLF `<OPTION>Item2`.
           DISPLAYLF `<OPTION>Item3`.
           DISPLAYLF `<OPTION>Item4`.
           DISPLAYLF `<OPTION>Item5`.
           DISPLAYLF `<OPTION>Item6`.
           DISPLAYLF `</SELECT><BR><BR>`.
           DISPLAYLF `<B>field4:</B> `.
           DISPLAYLF `<SELECT NAME="field4">`.
           DISPLAYLF `<OPTION SELECTED>Item11`.
           DISPLAYLF `<OPTION>Item22`.
           DISPLAYLF `<OPTION>Item33`.
           DISPLAYLF `<OPTION>Item44`.
           DISPLAYLF `<OPTION>Item55`.
           DISPLAYLF `<OPTION>Item66`.
           DISPLAYLF `</SELECT><BR><BR>`.
           DISPLAYLF `<B>field5:</B> <BR>`.
           DISPLAYLF `<INPUT TYPE="RADIO" NAME="field5" VALUE="Item111">Item111<BR>`.
           DISPLAYLF `<INPUT TYPE="RADIO" NAME="field5" VALUE="Item222">Item222<BR>`.
           DISPLAYLF `<INPUT TYPE="RADIO" NAME="field5" VALUE="Item333">Item333<BR>`.
           DISPLAYLF `<INPUT TYPE="RADIO" NAME="field5" VALUE="Item444">Item444<BR>`.
           DISPLAYLF `<INPUT TYPE="RADIO" NAME="field5" VALUE="Item555">Item555<BR>`.
           DISPLAYLF `<B>field6:</B> <INPUT TYPE="CHECKBOX" NAME="field6"  VALUE="Item1111">Item1111<BR>`.
           DISPLAYLF `<B>field7:</B> <INPUT TYPE="CHECKBOX" NAME="field7"  VALUE="Item2222">Item2222<BR>`.
           DISPLAYLF `<B>field8:</B> <INPUT TYPE="CHECKBOX" NAME="field8"  VALUE="Item3333">Item3333<BR>`.
           DISPLAYLF `<B>field9:</B> <INPUT TYPE="CHECKBOX" NAME="field9"  VALUE="Item4444">Item4444<BR>`.
           DISPLAYLF `<B>field10:</B><INPUT TYPE="CHECKBOX" NAME="field10" VALUE="Item5555">Item5555<BR>`.
           DISPLAYLF `<BR><INPUT TYPE="SUBMIT">`.
           DISPLAYLF `<INPUT TYPE="RESET"><BR><BR>`.
           DISPLAYLF `</FORM>`.
           DISPLAY `</BODY></HTML>`.

       DISPLAY_CGI_DATA.
           DISPLAYLF `Content-type: text/html`.
           DISPLAYLF LINEFEED.
           DISPLAYLF `<HTML><BODY>`.
           DISPLAYLF `<CENTER><B>CobolScript Data Input Example Application</B></CENTER><HR>`.
           DISPLAYLF `<BR>This is the data that was entered on the previous form<BR><BR>`.
           DISPLAYLF `field1:`  & field1  & `<BR>`.
           DISPLAYLF `field2:`  & field2  & `<BR>`.
           DISPLAYLF `field3:`  & field3  & `<BR>`.
           DISPLAYLF `field4:`  & field4  & `<BR>`.
           DISPLAYLF `field5:`  & field5  & `<BR>`.
           DISPLAYLF `field6:`  & field6  & `<BR>`.
           DISPLAYLF `field7:`  & field7  & `<BR>`.
           DISPLAYLF `field8:`  & field8  & `<BR>`.
           DISPLAYLF `field9:`  & field9  & `<BR>`.
           DISPLAYLF `field10:` & field10 & `<BR>`.
           DISPLAYLF `field11:` & field11 & `<BR><BR>`.
           DISPLAY `</BODY></HTML>`.
